// ------------------------------------------------------- 
// Copyright (C) Bradley M. Bell 2003, All rights reserved 
// ------------------------------------------------------- 
Keyword = 
[
"ckbs  ckbs-0.20100325.0: A Constrained Kalman-Bucy Smoother  ",
"license  Your License to use the ckbs Software  ",
"ckbs_nonlinear  The Nonlinear Constrained Kalman-Bucy Smoother  ",
"nonlinear_ok_simple.m  Simple ckbs_nonlinear Example and Test  ",
"nonlinear_ok_simple_f.m  Example Constraint Function: nonlinear_ok_simple_f  ",
"nonlinear_ok_simple_g.m  Example Transition Function: nonlinear_ok_simple_g  ",
"nonlinear_ok_simple_h.m  Example Measurement Function: nonlinear_ok_simple_h  ",
"nonlinear_ok_box.m  ckbs_nonlinear Box Constrained Tracking Example and Test   constraint",
"nonlinear_ok_box_f.m  Example Constraint Function: nonlinear_ok_box_f  ",
"nonlinear_ok_box_g.m  Example Transition Function: nonlinear_ok_box_g  ",
"nonlinear_ok_box_h.m  Example Measurement Function: nonlinear_ok_box_h  ",
"nonlinear_ok_box_nof.m  Example no Constraint Function: nonlinear_ok_box_nof  ",
"nonlinear_ok_sin.m  ckbs_nonlinear Sine Wave Constrained Tracking Example and Test   constraint",
"nonlinear_ok_sin_f.m  Example Constraint Function: nonlinear_ok_sin_f  ",
"ckbs_affine  Constrained Affine Kalman Bucy Smoother  ",
"affine_ok_box.m  ckbs_affine Box Constrained Smoothing Spline Example and Test   smoother",
"utility  ckbs Utility Functions  ",
"ckbs_blkdiag_mul  Packed Block Diagonal Matrix Times a Vector   multiply",
"blkdiag_mul_ok.m  blkdiag_mul Example and Test   ckbs_blkdiag_mul",
"ckbs_blkdiag_mul_t  Transpose of Packed Block Diagonal Matrix Times a Vector   multiply",
"blkdiag_mul_t_ok.m  blkdiag_mul_t Example and Test   ckbs_blkdiag_mul_t blkdiag_mul_t%",
"ckbs_sumsq_obj  Affine Residual Sum of Squares Objective  ",
"sumsq_obj_ok.m  ckbs_sumsq_obj Example and Test  ",
"ckbs_sumsq_grad  Affine Residual Sum of Squares Gradient   objective",
"sumsq_grad_ok.m  ckbs_sumsq_grad Example and Test  ",
"ckbs_sumsq_hes  Affine Residual Sum of Squares Hessian   objective",
"sumsq_hes_ok.m  ckbs_sumsq_hes Example and Test  ",
"ckbs_tridiag_solve  Symmetric Block Tridiagonal Algorithm  ",
"tridiag_solve_ok.m  ckbs_tridiag_solve Example and Test  ",
"ckbs_newton_step  Affine Constrained Kalman Bucy Smoother Newton Step  ",
"newton_step_ok.m  ckbs_newton_step Example and Test  ",
"ckbs_kuhn_tucker  Compute Residual in Kuhn-Tucker Conditions  ",
"kuhn_tucker_ok.m  ckbs_kuhn_tucker Example and Test  ",
"all_ok.m  Run All Correctness Tests  ",
"test_path.m  Ensure Path is Set for Testing  ",
"whatsnew  Changes and Additions to ckbs  "
]

var MaxList = 100;
var Choice  = "";
var Nstring = -1;
var Nkeyword = Keyword.length;
Initialize();

function Initialize()
{
	var i;
	var line;
	for(i = 0; (i < Nkeyword) && (i < MaxList) ; i++)
	{
		line       = Keyword[i].split(/\s+/)
		line[0]    = line[0].toUpperCase();
		line       = line.join(" ");
		Keyword[i] = line;
	}
	UpdateList();
	document.search.string.focus();
}
function UpdateList(event)
{
	key = 0;
	if( window.event )
		key = window.event.keyCode;
	else if( event )
		key = event.which;
	if( key == 13 )
	{	Choose();
		return;
	}
	var string  = document.search.string.value;
	if( Nstring == string.length )
		return;
	Nstring     = string.length;

	var word    = string.match(/\S+/g);
	var nword   = 0;
	if(word != null )
		nword   = word.length;

	var pattern = new Array(nword);
	for(var j = 0; j < nword; j++)
		pattern[j] = new RegExp(word[j], "i");

	var nlist = 0;
	var list  = "";
	Choice    = "";

	for(i = 0; (i < Nkeyword) && (nlist < MaxList) ; i++)
	{
		var match = true;
		for(j = 0; j < nword; j++)
			match = match && pattern[j].test(Keyword[i]);

		if( match )
		{
			line     = Keyword[i].split(/\s+/);

			if( Choice == "" )
				Choice = line[0];

			line  = line.join(" ");
			list  = list + line + "\n";
			nlist = nlist + 1;
		}
	}
	document.search.choice.value  = Choice.toLowerCase();
	document.search.list.value    = list;
}
function Choose()
{
parent.location = document.search.choice.value.toLowerCase() + ".htm";
}
